Early access
List all leave requests
Returns a list of leave requests for every person the service account can see
Returns a list of leave requests for every person the service account can see
Query Parameters
Page offset to fetch.
int321Number of results to return per page.
int32100Pad a number of results.
int320Filter by employee IDs. e.g., employee_ids[]=1&employee_ids[]=2
Filter by state. Allowed values: pending, approved, rejected, withdrawn
Filter leave request starting on or after this date (YYYY-MM-DD)
dateFilter leave request ending on or after this date (YYYY-MM-DD)
datecreated_at after an ISO 8601 timestamp with timezone
date-timecreated_at on or after an ISO 8601 timestamp with timezone
date-timecreated_at before an ISO 8601 timestamp with timezone
date-timecreated_at on or before an ISO 8601 timestamp with timezone
date-timeupdated_at after an ISO 8601 timestamp with timezone
date-timeupdated_at on or after an ISO 8601 timestamp with timezone
date-timeupdated_at before an ISO 8601 timestamp with timezone
date-timeupdated_at on or before an ISO 8601 timestamp with timezone
date-timeResponse Body
application/json
curl -X GET "https://example.com/api/v4/leave_requests"{ "data": [ { "id": "string", "employee_id": 0, "leave_type_id": 0, "leave_type": "string", "state": "string", "amount": 0.1, "hours": 0.1, "tracking_time_in": "string", "on_demand": true, "starts_on": "2019-08-24", "ends_on": "2019-08-24", "comment": "string", "created_at": null, "updated_at": null, "employee": { "id": 0, "first_name": "string", "last_name": "string", "email": "string", "type": "string" }, "attachments": { "filename": "string", "url": "string", "expires_at": null }, "entries": { "date": "2019-08-24", "amount": 0.1, "starts_at": null, "ends_at": null }, "leave_type_policy": { "name": "string", "visibility": "string", "activity_type": "string" }, "approvals": { "state": "string", "assigned_to": { "id": 0, "first_name": "string", "last_name": "string", "email": "string", "type": "string" } } } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}